VERSION(8)

NAME
Version - =drive utilities

DESCRIPTION
==========================================================================================

    openSeaChest_Configure - openSeaChest drive utilities - NVMe Enabled Copyright (c) 2014-2023 Seagate Technology LLC and/or its Affiliates, All Rights Reserved openSeaChest_Configure Version: 2.5.0-6_2_0 X86_64 Build Date: Dec 1 2023 Today: Fri Dec 1 15:18:13 2023 User: current user

========================================================================================== Usage =====

    openSeaChest_Configure [-d <sg_device>] {arguments} {options}

Examples ========

    openSeaChest_Configure --scan openSeaChest_Configure -d /dev/sg<#> -i openSeaChest_Configure -d /dev/sg<#> --SATInfo openSeaChest_Configure -d /dev/sg<#> --llInfo openSeaChest_Configure -d /dev/sg<#> --phySpeed 2 openSeaChest_Configure -d /dev/sg<#> --phySpeed 3 --sasPhy 1 openSeaChest_Configure -d /dev/sg<#> --readLookAhead enable openSeaChest_Configure -d /dev/sg<#> --nvCache info openSeaChest_Configure -d /dev/sg<#> --writeCache disable openSeaChest_Configure -d /dev/sg<#> --sctWriteCache default openSeaChest_Configure -d /dev/sg<#> --sctWriteCacheReordering enable openSeaChest_Configure -d /dev/sg<#> --freeFall 0 openSeaChest_Configure -d /dev/sg<#> --lowCurrentSpinup low openSeaChest_Configure -d /dev/sg<#> --puisFeature disable openSeaChest_Configure -d /dev/sg<#> --sscFeature enable openSeaChest_Configure -d /dev/sg<#> --readyLED info openSeaChest_Configure -d /dev/sg<#> --readyLED on openSeaChest_Configure -d /dev/sg<#> --sctReadTimer 5s openSeaChest_Configure -d /dev/sg<#> --sctWriteTimer 0 --volatile openSeaChest_Configure -d /dev/sg<#> --scsiLPReset all --scsiLPResetPage 06h openSeaChest_Configure -d /dev/sg<#> --scsiLPReset cumulative --scsiLPResetPage 02h --volatile openSeaChest_Configure -d /dev/sg<#> --showSCSIMP 0Ah openSeaChest_Configure -d /dev/sg<#> --showSCSIMP 0Ah --showSCSIMPControl saved openSeaChest_Configure -d /dev/sg<#> --showSCSIMP 0Ah --showMPOutputMode classic openSeaChest_Configure -d /dev/sg<#> --scsiMPReset 3Fh-FFh openSeaChest_Configure -d /dev/sg<#> --scsiMPSave 3Fh-FFh openSeaChest_Configure -d /dev/sg<#> --scsiMPRestore 3Fh-FFh openSeaChest_Configure -d /dev/sg<#> --setSCSIMP 08:2:2:1=0 openSeaChest_Configure -d /dev/sg<#> --setSCSIMP file=modePageToChange.txt openSeaChest_Configure -d /dev/sg<#> --provision 134217728 openSeaChest_Configure -d /dev/sg<#> --dcoIdentify openSeaChest_Configure -d /dev/sg<#> --dcoRestore openSeaChest_Configure -d /dev/sg<#> --dcoFreezeLock openSeaChest_Configure -d /dev/sg<#> --dcoSetMaxLBA 134217728 --dcoSetMaxMode udma4 --dcoDisableFeat hpa,puis,wrv

Return codes ============

    Generic/Common exit codes 0 = No Error Found 1 = Error in command line options 2 = Invalid Device Handle or Missing Device Handle 3 = Operation Failure 4 = Operation not supported 5 = Operation Aborted 6 = File Path Not Found 7 = Cannot Open File 8 = File Already Exists 9 = Need Elevated Privileges Anything else = unknown error

Utility Options ===============

--echoCommandLine

    Echo the command line entered into the utility on the screen.

--enableLegacyUSBPassthrough

    Only use this option on old USB or IEEE1394 (Firewire) products that do not otherwise work with the tool. This option will enable a trial and error method that attempts sending various ATA Identify commands through vendor specific means. Because of this, certain products that may respond in unintended ways since they may interpret these commands differently than the bridge chip the command was designed for.

--forceATA

    Using this option will force the current drive to be treated as a ATA drive. Only ATA commands will be used to talk to the drive.

--forceATADMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to DMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceATAPIO
    (SATA Only)

    Using this option will force the tool to issue PIO commands to ATA device when possible. This option can be combined with --forceATA

--forceATAUDMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to UDMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceSCSI

    Using this option will force the current drive to be treated as a SCSI drive. Only SCSI commands will be used to talk to the drive.

--forceNVME

    Using this option will force the current drive to be treated as a NVME drive. Only NVME commands will be used to talk to the drive.

-h, --help

    Show utility options and example usage (this output you see now) Please report bugs/suggestions to seaboard@seagate.com. Include the output of --version information in the email.

--license

    Display the Seagate End User License Agreement (EULA).

--modelMatch [model Number]

    Use this option to run on all drives matching the provided model number. This option will provide a closest match although an exact match is preferred. Ex: ST500 will match ST500LM0001

--noBanner

    Use this option to suppress the text banner that displays each time openSeaChest is run.

--onlyFW [firmware revision]

    Use this option to run on all drives matching the provided firmware revision. This option will only do an exact match.

--onlySeagate

    Use this option to match only Seagate drives for the options provided

-q, --quiet

    Run openSeaChest_Configure in quiet mode. This is the same as -v 0 or --verbose 0

-v [0-4], --verbose [0 | 1 | 2 | 3 | 4]

    Show verbose information. Verbosity levels are: 0 - quiet 1 - default 2 - command descriptions 3 - command descriptions and values 4 - command descriptions, values, and data buffers Example: -v 3 or --verbose 3

-V, --version

    Show openSeaChest_Configure version and copyright information & exit

Utility Arguments =================

-d, --device [deviceHandle | all]

    Use this option with most commands to specify the device handle on which to perform an operation. Example: /dev/sg<#> To run across all devices detected in the system, use the "all" argument instead of a device handle. Example: -d all NOTE: The "all" argument is handled by running the

specified options on each drive detected in the
    OS sequentially. For parallel operations, please use a script opening a separate instance for each device handle.

-F, --scanFlags [option list]

    Use this option to control the output from scan with the options listed below. Multiple options can be combined.

ata - show only ATA (SATA) devices
    usb - show only USB devices scsi - show only SCSI (SAS) devices nvme - show only NVMe devices interfaceATA - show devices on an ATA interface interfaceUSB - show devices on a USB interface interfaceSCSI - show devices on a SCSI or SAS interface interfaceNVME = show devices on an NVMe interface sd - show sd device handles sgtosd - show the sd and sg device handle mapping

-i, --deviceInfo

    Show information and features for the storage device

--llInfo

    Dump low-level information about the device to assist with debugging.

-s, --scan

    Scan the system and list all storage devices with logical /dev/sg<#> assignments. Shows model, serial and firmware numbers. If your device is not listed on a scan immediately after booting, then wait 10 seconds and run it again.

-S, --Scan

    This option is the same as --scan or -s, however it will also perform a low level rescan to pick up other devices. This low level rescan may wake devices from low power states and may cause the OS to re-enumerate them. Use this option when a device is plugged in and not discovered in a normal scan. NOTE: A low-level rescan may not be available on all interfaces or all OSs. The low-level rescan is not guaranteed to find additional devices in the system when the device is unable to come to a ready state.

--SATInfo

    Displays SATA device information on any interface using both SCSI Inquiry / VPD / Log reported data (translated according to SAT) and the ATA Identify / Log reported data.

--testUnitReady

    Issues a SCSI Test Unit Ready command and displays the status. If the drive is not ready, the sense key, asc, ascq, and fru will be displayed and a human readable translation from the SPC spec will be displayed if one is available.

--fastDiscovery

Use this option
    to issue a fast scan on the specified drive.

--phySpeed [0 | 1 | 2 | 3 | 4 | 5]

    Use this option to change the PHY speed to a new maximum value. On SAS, this option will set all phys to the specified speed unless the --sasPhy option is given to select a specific phy. 0 - allow full negotiation (default drive behavior) 1 - allow negotiation up to 1.5Gb/s 2 - allow negotiation up to 3.0Gb/s 3 - allow negotiation up to 6.0Gb/s 4 - allow negotiation up to 12.0Gb/s (SAS Only) 5 - allow negotiation up to 22.5Gb/s (SAS Only)

    NOTE: SATA phy speed changes are only available on Seagate drives.

WARNING: Check the minimum phy speed supported by your adapter before
    using this option. A phy speed below the adapter's capability will result in the drive not being seen by the adapter or the OS.

WARNING: Changing Phy speed may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--readLookAhead [info | enable | disable]

    Use this option to enable or disable read look-ahead support on a drive. Use the "info" argument to get the current status of the read look ahead feature.

WARNING: Changing Read look-ahead may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--restoreMaxLBA

    Restore the max accessible address of your drive to its native size. A power cycle is required after this command before setting a new max LBA.

--setMaxLBA newMaxLBA

    Set the max accessible address of your drive to any value less than the device's default native size. A power cycle is required after this command before resetting or setting a new max LBA.

--writeCache [info | enable | disable]

    Use this option to enable or disable write cache support on a drive. Use the "info" argument to get the current status of the write cache feature.

WARNING: Changing Write Cache may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

    SATA Only: ======== --dcoFreezeLock (SATA Only)

    Use this option to issue the DCO freeze-lock command. Issuing this command will prevent the ability to modify available capabilities or restore default capabilities until the device has been power cycled.

--dcoIdentify
    (SATA Only)

    This option will list the capabilities that can be restricted with DCO. Restricted capabilities are MWDMA and UDMA transfer modes, maximum LBA, and some ATA features or commands. This will not work if the device has been DCO frozen. NOTE: Some motherboards will issue a DCO freezelock when booted.

If DCO is frozen each time the system is rebooted, try a
    different system or add-in card to work around this.

--dcoRestore
    (SATA Only)

    Use this option to restore device capabilities and features hidden by DCO back to factory defaults. This can only be used if DCO is not frozen and HPA has not been used to reduce the maximum LBA already. Recommend restoring the max LBA prior to this option for best results. NOTE: Some motherboards will issue a DCO freezelock when booted.

If DCO is frozen each time the system is rebooted, try a
    different system or add-in card to work around this.

--dcoSetMaxLBA [new max LBA]
    (SATA Only)

    Use this option to set a lower max/native max LBA using the DCO feature. This should be combined with --dcoSetMaxMode and --dcoDisableFeat to make any and all DCO related changes at the same time in one command. This will not work if the device has been DCO frozen. NOTE: Some motherboards will issue a DCO freezelock when booted.

If DCO is frozen each time the system is rebooted, try a
    different system or add-in card to work around this.

--dcoSetMaxMode [udma# | mwdma# | nodma]
    (SATA Only)

    Use this option to set a different maximum supported DMA transfer mode using the DCO feature. This should be combined with --dcoSetMaxLBA and --dcoDisableFeat to make any and all DCO related changes at the same time in one command. The following arguments are available. Supported modes are set based on the provided maximum and all modes below the given maximum:

    udma6 - UDMA 6 and lower, including all MWDMA modes udma5 - UDMA 5 and lower, including all MWDMA modes udma4 - UDMA 4 and lower, including all MWDMA modes udma3 - UDMA 3 and lower, including all MWDMA modes udma2 - UDMA 2 and lower, including all MWDMA modes udma1 - UDMA 1 and lower, including all MWDMA modes udma0 - UDMA 0 and lower, including all MWDMA modes mwdma2 - MWDMA 2 and lower; No UDMA support mwdma1 - MWDMA 1 and lower; No UDMA support mwdma0 - MWDMA 0 and lower; No UDMA support nodma - No MWDMA or UDMA mode support listed in identify.

    This will not work if the device has been DCO frozen. NOTE: Some motherboards will issue a DCO freezelock when booted.

If DCO is frozen each time the system is rebooted, try a
    different system or add-in card to work around this.

--dcoDisableFeat [csv,list,of,features] (SATA Only)

    Use this option to disable different ATA commands and features using the DCO feature. This should be combined with --dcoSetMaxLBA and --dcoSetMaxMode to make any and all DCO related changes at the same time in one command. The following arguments are available. Specifying a feature that the drive does not support restricting or does not support at all will not be considered an error. Below is a full list of features that can be given with this option. it is unlikely a drive will support restricting all of these features.

    wrv - Write-Read-Verify feature smtCvSt - SMART Conveyance self-test smtSelSt - SMART Seledtive self-test fua - Forced Unit Access tlc - Time Limited Commands streaming - Streaming Feature set 48b - 48bit addressing hpa - Host Protected Area (HPA) aam - Automatic Accoustic Management tcq - Tagged Command Queuing (TCQ) puis - Power Up In Standby (PUIS) sec - ATA Security smtErrLog - SMART Error Logging smtSt - SMART Self-test smart - SMART Feature set ssp - SATA Software Settings Preservation (SSP) asyncNot - SATA Asynchronous Notification ipm - SATA Interface Power Management nzBuff - SATA Non-Zero Buffer Offsets ncq - SATA Native Command Queuing (NCQ) nvc - Non-Volatile Cache (NVCache) nvcpm - NVCache Power Management wue - Write Uncorrectable Ext tcg - Trusted Computing Group ffc - Free-fall Control dsm - Data Set Management trim - TRIM (Data Set Management) epc - Extended Power Conditions

    This will not work if the device has been DCO frozen. NOTE: Some motherboards will issue a DCO freezelock when booted.

If DCO is frozen each time the system is rebooted, try a
    different system or add-in card to work around this.

--freeFall [info | enable | disable | sensitivity value]
    (SATA only)

    Use this option to configure the Free Fall control feature found on some SATA drives. This feature allows the drive to take action if it detects it is in free fall to protect the data from harm due to a drop.

info - use this to see the current sensitivity value
    enable - this option will set the sensitivity to the vendor's

recommended value.
    disable - this will disable the free fall control feature. sensitivity value - set a value between 1 and 255 to control

how sensitive the detection is. A value of zero
    will set the vendor's recommended value.

--lowCurrentSpinup [ low | ultra | disable ]
    (SATA Only) (Seagate Only)

    Use this option to set the state of the low current spinup feature on Seagate SATA drives. When this setting is enabled for low or ultra low mode, the drive will take longer to spinup and become ready. Note: This feature is not available on every drive. Note: Some products will support low, but not the ultra

    low current spinup mode.

--puisFeature [ enable | disable ]
    (SATA Only)

    Use this option to enable or disable the power up in standby (PUIS) feature on SATA drives. Note: If this is configured on the drive with a jumper, this

    command will fail.

    Note2: Not all products support this feature. WARNING: Before enabling this feature on any SAS/SATA HBA,

check the HBA documentation to see if this feature
    is supported by the HBA. Enabling this on an HBA that does not support this feature will cause the drive to stop showing up to the host OS or even in the HBA's firmware/BIOS/UEFI configuration.

--sscFeature [info | default | enable | disable] (SATA Only) (Seagate Only)

    Use this option to change or view the SSC (Spread Spectrum Clocking) mode on a Seagate SATA drive. Only change this setting if you are experiencing compatibility problems with the drive in a system. info - show current SSC state default - set to drive default mode enable - enable SSC disable - disable SSC

--sctReadTimer [info | value | default] (SATA Only)

    Use this option to set the read command timer value for synchronous commands and NCQ commands with in-order data delivery enabled. Note: this timer starts at the time that the drive processes the command, not the time it is received. When using this option, the setting is non-volatile. Use this with the --volatile flag to make the Use the "info" argument to get the current status of the read timer. A value of 0 means that all possible error recovery will be performed before returning status. Other values should include a unit to know the time to use. If no unit is provided, it is assumed to be the value * 100 ms Ex1: --sctReadTimer 15s for a 15 second timer. Ex2: --sctReadTimer 15000ms for a 15 second timer expressed in milliseconds Ex2: --sctReadTimer 150 for a 15 second timer with no units specified The maximum time that can be specified is 1 hour, 49 minutes, 13 seconds Using the "default" argument restores default settings. Note: On some SAT HBAs/bridges, status will not be able to be determined due to HBA/bridge limitations.

--sctWriteCache [info | enable | disable | default] (SATA Only)

    Use this option to enable or disable write cache support on a drive using SMART command transport. When using this option, the setting is non-volatile. Use this with the --volatile flag to make the setting volatile. When using this option, the --writeCache option will always return success, but no write cache changes will occur. This follows ATA spec. Using the "default" argument returns the drive to default settings and allowing the --writeCache option to work again. Use the "info" argument to get the current status of the write cache feature. Note: On some SAT HBAs/bridges, status will not be able to be determined due to HBA/bridge limitations.

--sctWriteCacheReordering [info | enable | disable | default] (SATA Only)

    Use this option to enable or disable write cache reordering support on a drive using SMART command transport. Write cache reordering allows the drive to reorder moving data out of cache to media for better performance on synchronous commands. Asynchronous commands are only affected when in-order data delivery is enabled. When using this option, the setting is non-volatile. Use this with the --volatile flag to make the setting volatile. Use the "info" argument to get the current status of the write cache reordering feature. Note: On some SAT HBAs/bridges, status will not be able to be determined due to HBA/bridge limitations.

--sctWriteTimer [info | value | default] (SATA Only)

    Use this option to set the write command timer value for synchronous commands and NCQ commands with in-order data delivery enabled. Note: this timer starts at the time that the drive processes the command, not the time it is received. When using this option, the setting is non-volatile. Use this with the --volatile flag to make the Use the "info" argument to get the current status of the write timer. A value of 0 means that all possible error recovery will be performed before returning status. Other values should include a unit to know the time to use. If no unit is provided, it is assumed to be the value * 100 ms Ex1: --sctWriteTimer 15s for a 15 second timer. Ex2: --sctWriteTimer 15000ms for a 15 second timer expressed in milliseconds Ex2: --sctWriteTimer 150 for a 15 second timer with no units specified The maximum time that can be specified is 1 hour, 49 minutes, 13 seconds Using the "default" argument restores default settings. Note: On some SAT HBAs/bridges, status will not be able to be determined due to HBA/bridge limitations.

    SAS Only: ======== --nvCache [info | enable | disable] (SAS Only)

    Use this option to enable or disable the SCSI Non-Volatile cache

    on a drive. Use the "info" argument to get

    the current status of the Non-Volatile Cache setting.

WARNING: Changing NV Cache may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--readyLED [info | on | off | default] (SAS Only)

    Use this option to get the current state or change the behavior of the ready LED. See the SPL spec for full details on how this changes LED

info - gets the current state of the ready LED.
    on - sets the ready LED to usually off unless

processing a command.
    off - sets the ready LED to usually on unless

processing a command
    default - sets the ready LED to the drive's default value

WARNING: The EPC settings may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--sasPhy [phy number] (SAS Only)

    Use this option to specify a specific phy to use with another option that uses a phy identifier value. Some tool options will assume all SAS Phys when this option is not present. Others will produce an error when a specific phy is needed for an operation. Use the -i option to learn more about the supported phys.

--scsiLPReset [cumulative | threshold | defCumulative | defThreshold | all]
    (SAS only)

    Use this option to reset all SCSI Log Pages. If the device is compliant with SPC4 or later, the --scsiLPResetPage option may be used to specify a specific page to reset. The --volatile option may also be passed to prevent saving changes.

cumulative - reset the cumulative values
    threshold - reset the threshold values defCumulative - reset the cumulative values to default without saving. defThreshold - reset the threshold values to default without saving. all - sends the log page reset command to all of the above control values

WARNING: Resetting log pages may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--scsiLPResetPage [page# | page-subpage#]
    (SAS only)

    This option is used to specify a specific page, and/or subpage to be used with the --scsiLPReset option. NOTE: This option will only work on newer drives compliant with the SPC4 specification.

WARNING: Resetting log pages may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--scsiMPReset [page# | page-subpage#]
    (SAS only)

    This option will reset the specified mode page(s) to their default settings. Valid page numbers range from 0 to 3Fh. Valid subpage numbers range from 0 to FFh. (MP) Mode page 3Fh specifies all mode pages and can be used to reset all mode pages. (SP) Subpage FFh specifies all subpages of a given page and will reset all those subpages. Using both MP 3Fh and SP FFh will reset all pages and subpages on a device.

WARNING: Resetting mode pages may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--scsiMPRestore [page# | page-subpage#]
    (SAS only)

    This option will restore the specified mode page(s) to their saved settings. Valid page numbers range from 0 to 3Fh. Valid subpage numbers range from 0 to FFh. (MP) Mode page 3Fh specifies all mode pages and can be used to restore all mode pages. (SP) Subpage FFH specifies all subpages of a given page and will restore all those subpages. Using both MP 3Fh and SP FFh will restore all pages and subpages on a device.

WARNING: Restoring mode pages may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--scsiMPSave [page# | page-subpage#]
    (SAS only)

    This option will save the current specified mode page(s) to the saved settings. Valid page numbers range from 0 to 3Fh. Valid subpage numbers range from 0 to FFh. (MP) Mode page 3Fh specifies all mode pages and can be used to save all mode pages. (SP) Subpage FFH specifies all subpages of a given page and will save all those subpages. Using both MP 3Fh and SP FFh will save all pages and subpages on a device.

WARNING: Saving mode pages may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--setSCSIMP [ mp[-sp]:byte:highestBit:fieldWidthInBits=value | file=filename.txt ]
    (SAS only)

    Use this option to set a specific field in a mode page to a value. There are two argument formats to this option: 1. The first format expects a mode page (in hex), optionally a subpage code (in hex),

    the byte offset that the field starts at (in decimal), the highest bit the field starts at (0-7), the width of the field in as a number of bits (decimal), and the value to set (hex or decimal) A maximum of 64bits can be set at a time with this option.

    2. The second format is a text file that contains all bytes of the mode page in hex. Each byte

    must be separated by a space, new line, or underscore. It is recommended that this file is created by copy-pasting the output of the --showSCSIMP option's default classic view, then modifying after that. Example use of the arguments:

    1. Setting WCE to zero on caching MP from a file:

    command line: file=cachingModePage.txt File contents: 88 12 10 00 FF FF 00 00 FF FF FF FF 90 20 00 00 00 00 00 00

    2. Setting WCE to zero on caching MP from command line:

    command line: 08:2:2:1=0

    3. Setting DLC to one on Control Extension MP from command line:

    command line: 0A-01:4:3:1=1

WARNING: Changing mode pages may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--showMPOutputMode [classic | buffer]
    (SAS Only)

    Use this option to control the format of the output when displaying a SCSI mode page. Modes:

classic - This output is a classic output from old SCSI manuals where the bytes of
    the page are output in a rows across the screen in hexadecimal format.

buffer
    - This output is a formatted buffer showing offsets on the top and side in hex.

This will output each row with up to 16 bytes of data before moving to the
    next row.

--showSCSIMP [page# | page-subpage#]
    (SAS only)

    This option will display the specified mode page on the screen as raw hexadecimal data bytes. Use --showSCSIMPControl to control the output. If --showSCSIMPControl is not provided, the current values will be shown.

--showSCSIMPControl [current | default | saved | changeable | all]
    (SAS only)

Use this option to control the output of the --showSCSIMP option.
    current - show the current values of the mode page. default - show the default values of the mode page. saved - show the saved values of the mode page. changeable - show the changable fields in a mode page. all - show all of the above formats for a given mode page.

Data Destructive Commands =========================

--provision newMaxLBA

    Provision your drive to a new max LBA to any value less than the device's current max LBA. A power cycle is required after this command before resetting the max LBA or changing the provisioning again. This command erases all data between the new maxLBA specified and the current maxLBA of the device. using a TRIM/UNMAP command.

    Utility Version: 2.5.0 opensea-common Version: 2.0.0 opensea-transport Version: 6.2.0 opensea-operations Version: 5.1.1 Build Date: Dec 1 2023 Compiled Architecture: X86_64 Detected Endianness: Little Endian Compiler Used: GCC Compiler Version: 7.5.0 Operating System Type: Linux Operating System Version: 4.15.0-211 Operating System Name: Ubuntu 18.04.6 LTS